> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Strategy Positions

> Get current positions for a strategy



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/positions
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/positions:
    get:
      tags:
        - Trade
      summary: Get Strategy Positions
      description: Get current positions for a strategy
      parameters:
        - in: query
          name: trader
          schema:
            type: string
          required: true
          description: The trader address.
          example: '0xb993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
        - in: query
          name: strategyId
          schema:
            type: string
          required: true
          description: The strategy ID.
          example: main
        - in: query
          name: limit
          schema:
            type: integer
            default: 500
          description: The number of rows to return
        - in: query
          name: offset
          schema:
            type: integer
            default: 0
          description: The offset of returned rows
        - in: query
          name: symbol
          schema:
            type: string
          description: The symbol
          example: ETHP
      responses:
        '200':
          description: Positions data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PositionsAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    PositionsAPISuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          type: array
          items:
            type: object
            properties:
              trader:
                type: string
                description: >-
                  The trader address prefixed with the blockchain discriminant
                  of the trader who owns this position.
                examples:
                  - '0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
              symbol:
                type: string
                description: The symbol of the asset for this position.
                examples:
                  - ETHP
              strategyIdHash:
                type: string
                description: The hash of the strategy which owns this position.
                examples:
                  - '0x2576ebd1'
              side:
                type: number
                description: >-
                  The side of the position. Values include:  0: None,  1: Long, 
                  2: Short
                examples:
                  - 0
                  - 1
                  - 2
              balance:
                type: string
                description: The current balance of this position.
                examples:
                  - '1.0'
              avgEntryPrice:
                type: string
                description: The average entry price of this position.
                examples:
                  - '1500'
              lastModifiedInEpoch:
                type:
                  - number
                  - 'null'
                description: The epoch in which this position's balance was last modified.
                examples:
                  - 35
            required:
              - trader
              - symbol
              - strategyIdHash
              - side
              - balance
              - avgEntryPrice
              - lastModifiedInEpoch
            additionalProperties: false
            description: A position which is currently open.
          description: The value of the response
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for positions API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````